(***********************************************************************)
(*                                                                     *)
(*                           Objective Caml                            *)
(*                                                                     *)
(*               Pierre Weis, projet Cristal, INRIA Rocquencourt       *)
(*                                                                     *)
(*  Copyright 2001 Institut National de Recherche en Informatique et   *)
(*  en Automatique.  All rights reserved.  This file is distributed    *)
(*  only by permission.                                                *)
(*                                                                     *)
(***********************************************************************)

(* $Id: argcargv.ml,v 1.4 2008/08/26 16:19:30 weis Exp $ *)

(** Prints out the arguments and the number of arguments of a Caml program.

Usage: compile this file with the compiler/linker ocamlc,
       then execute the [a.out] executable program generated by ocamlc.

$ ocamlc argcargv.ml

Then launch the program with various arguments. For instance, try:
$ a.out
$ a.out 1 2
$ a.out 1 2 "ok" -f "/tmp/foo"
*)

open Printf;;

let main argc argv =
  printf "Command line has %i arguments\n" argc;
  for i = 0 to argc - 1 do
   printf "argument %i is %s\n" i argv.(i)
  done
;;

main (Array.length Sys.argv) Sys.argv
;;
