(***********************************************************************)
(*                                                                     *)
(*                           Objective Caml                            *)
(*                                                                     *)
(*               Pierre Weis, projet Cristal, INRIA Rocquencourt       *)
(*                                                                     *)
(*  Copyright 2001 Institut National de Recherche en Informatique et   *)
(*  en Automatique.  All rights reserved.  This file is distributed    *)
(*  only by permission.                                                *)
(*                                                                     *)
(***********************************************************************)

(* $Id: prop.mli,v 1.2 2009/11/13 20:34:55 weis Exp $ *)

type proposition =
   | Vrai
   | Faux
   | Non of proposition
   | Et of proposition * proposition
   | Ou of proposition * proposition
   | Implique of proposition * proposition
   | quivalent of proposition * proposition
   | Variable of string
;;

exception Rfutation of (string * bool) list;;

val vrifie_tautologie : proposition -> string list -> unit;;
val variables_libres : proposition -> string list;;

