(***********************************************************************)
(*                                                                     *)
(*                           Objective Caml                            *)
(*                                                                     *)
(*               Pierre Weis, projet Cristal, INRIA Rocquencourt       *)
(*                                                                     *)
(*  Copyright 2007 Institut National de Recherche en Informatique et   *)
(*  en Automatique.  All rights reserved.  This file is distributed    *)
(*  only by permission.                                                *)
(*                                                                     *)
(***********************************************************************)

(* $Id: fmod.ml,v 1.3 2009/11/14 12:04:03 weis Exp $ *)

module F : Ftype.FTYPE = functor (Iarg : Itype.ITYPE) ->
  struct
    type len = Iarg.len;;
    type len2 = len * len;;
    let read () =
      let l1 = Iarg.read () in
      let l2 = Iarg.read () in
      (l1, l2)
    ;;
    let print (l1, l2) =
      print_char '(';
      Iarg.print l1;
      print_string ", ";
      Iarg.print l2;
      print_char ')';
      print_newline ()
    ;;
  end
;;
