(***********************************************************************)
(*                                                                     *)
(*                        SciCos compiler                              *)
(*                                                                     *)
(*            Pierre Weis                                              *)
(*                                                                     *)
(*                               INRIA Rocquencourt                    *)
(*                                                                     *)
(*  Copyright 2009 INRIA                                               *)
(*  Distributed only by permission.                                    *)
(*                                                                     *)
(***********************************************************************)

(* $Id: main.ml,v 1.3 2009/11/16 00:43:22 weis Exp $ *)

let usage () =
  prerr_endline "polish [ -s <\"string\"> | -c <filename> ]";
  exit 2
;;

let main () =
  let argv = Sys.argv in
  let argc = Array.length argv in
  if argc = 3 then
   match argv.(1) with
   | "-s" -> Treat.treat_string argv.(2)
   | "-c" -> Treat.treat_file argv.(2)
   | opt -> prerr_endline (Printf.sprintf "Unknown option %s" opt); usage () else
  if argc = 2 then Treat.treat_string argv.(1) else usage ()
;;

main ()
;;
